ben100 asked this 3 years ago

Laravel Unsupported driver [mongodb] error

I am trying to use Laravel5.3  with MongoDB. Already installed php driver and MongoDB package.

Still getting error:

InvalidArgumentException in ConnectionFactory.php line 237:

Unsupported driver [mongodb]

Am I missing something?

 


Best Answer by pseudoFish 3 years ago

Most likely you missed registering service provider,

In config/app.php add

 

'providers' => [

        .....................................................................

        Jenssegers\Mongodb\MongodbServiceProvider::class,

josh 3 years ago
2 likes

Which package are you using?

ben100 3 years ago

jenssegers/laravel-mongodb

ben100 3 years ago

thanks pseudoFish , i missed that configuration